//;-------------------------------------------------------------------------------------
//;      timer.c for MSP430F12x2
//; written by Thomas Dorn, DT-Systems, www.dt-systems.de
//;-------------------------------------------------------------------------------------
//;
#include    "timer.h"
#include    "msp430x12x2_TD.h"

void  InitTimer_A(void)
{
#if 1
    TACTL   = bMC_2 | bTASSEL_2 | bTAIE;                   /* count to TACCR0 and repeat, bTASSEL_2-> SMCLK */
    TACCTL0 = bCCIE;
    TACCTL1 = bCCIE;
    TACCTL2 = bCCIE;
    TACCR0  = 10000;                             /* starts the timer till TAR >= TACCR0 */
    TACCR1  = 20000;                             /* in cont mode TACCR1 may initiate a 2nd irq */
    TACCR2  = 30000;
#endif
}


void  InitWatchdog(void)
{
    // WDTCTL = WDTPW_W | bWDTHOLD;        // Stop watchdog timer
    WDTCTL = WDTPW_W | bWDTTMSEL /*| bWDTSSEL*/;                  // enable watchdog
    IE1    |= bWDTIE;
}
